<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
	<class name="HostAir" table="tb_HostAir">
		<composite-id>
			<key-property name="HostID" column="HostID" type="int" />
			<key-many-to-one name="Modal" column="RoomTypeAirID" class="RoomTypeAir" foreign-key="FK_tb_HostAir_tb_RoomTypeAir" />
		</composite-id>
		<property name="No" column="No" type="int" />
		<property name="OnOff" column="Running" type="bool" />
		<property name="CurrentTemp" column="CurrentTemp" type="int" />
		<property name="SettingTemp" column="SettingTemp" type="int" />
		<property name="Speed" column="Speed" type="int" />
		<property name="KeepTemp" column="KeepTemp" type="int" />
		<property name="InitTemp" column="InitTemp" type="int" />
		<property name="HightTemp" column="HightTemp" type="int" />
		<property name="LowerTemp" column="LowerTemp" type="int" />
		<property name="DeadTemp" column="DeadTemp" type="int" />
		<property name="HotDevition" column="HotDevition" type="int" />
		<property name="ColdDevition" column="ColdDevition" type="int" />
		<property name="WelcomeTime" column="WelcomeTime" type="int" />
		<property name="IsLockTemp" column="IsLockTemp" type="bool" />
		<property name="LockTemp" column="LockTemp" type="int" />
		<property name="Mode" column="Mode" type="int" />
		<property name="Valve" column="Valve" type="int" />
		<property name="ControlType" column="ControlType" type="ControlType" />
		<property name="CompensatoryTemp" column="CompensatoryTemp" type="float"/>
		<property name="RelateRoomStatus" column="RelateRoomStatus" type="bool" />
		<property name="RelateDoorContact" column="RelateDoorContact" type="bool" />
		<property name="ColdHotMode" column="ColdHotMode" type="int" />
		<property name="ColdHotSwitchDelayTime" column="ColdHotSwitchDelayTime" type="int" />
		<property name="FanStop" column="FanStop" type="bool" />
		<property name="DisableFanHighSpeed" column="DisableFanHighSpeed" type="bool" />
		<property name="SleepFlag" column="SleepFlag" type="bool" />
		<property name="SleepStartTime" column="SleepStartTime" type="string" />
		<property name="SleepEndTime" column="SleepEndTime" type="string" />
		<property name="SleepDevition" column="SleepDevition" type="int" />
		<property name="TimeFlag" column="TimeFlag" type="bool" />
		<property name="TimeStartTime1" column="TimeStartTime1" type="string" />
		<property name="TimeEndTime1" column="TimeEndTime1" type="string" />
		<property name="TimeStartTime2" column="TimeStartTime2" type="string" />
		<property name="TimeEndTime2" column="TimeEndTime2" type="string" />
		<property name="TimeStartTime3" column="TimeStartTime3" type="string" />
		<property name="TimeEndTime3" column="TimeEndTime3" type="string" />

	</class>
</hibernate-mapping>
